# Create

`POST /api/2.0/accounts/{account_id}/storage-configurations`

Creates a <Databricks> storage configuration for an account.

API scopes: provisioning

Clouds: AWS

## Path parameters

- `account_id` (string, optional)

## Request body

- `storage_configuration_name` (string, optional)
  The human-readable name of the storage configuration.
  Constraints: `[ 4 .. 256 ] characters`
- `root_bucket_info` (object, optional)
  Root S3 bucket information.
  - `bucket_name` (string, optional)
    Name of the S3 bucket
- `role_arn` (string, optional)
  Optional IAM role that is used to access the workspace catalog which is created during workspace creation
   for UC by Default. If a storage configuration with this field populated is used to create a workspace,
   then a workspace catalog is created together with the workspace. The workspace catalog shares the root
   bucket with internal workspace storage (including DBFS root) but uses a dedicated bucket path prefix.
  Example: `arn:aws:iam::111110000000:role/test_role`

## Returns

Returns the StorageConfiguration object.

## Response

```json
{
  "storage_configuration_id": "string",
  "account_id": "string",
  "root_bucket_info": {
    "bucket_name": "string"
  },
  "storage_configuration_name": "string",
  "creation_time": 0,
  "role_arn": "string"
}
```

